module Rubytldmap
  class Lookup
    def self.find_by_tld(tld)
      map[tld]
    end

    def self.find_by_mark(mark)
      map.key(mark)
    end

    def self.map
      {
        abb: 1,
        abbott: 2,
        abogado: 3,
        ac: 4,
        academy: 5,
        accountant: 6,
        accountants: 7,
        active: 8,
        actor: 9,
        ad: 10,
        ads: 11,
        adult: 12,
        ae: 13,
        aero: 14,
        af: 15,
        afl: 16,
        ag: 17,
        agency: 18,
        ai: 19,
        aig: 20,
        airforce: 21,
        al: 22,
        allfinanz: 23,
        alsace: 24,
        am: 25,
        amsterdam: 26,
        an: 27,
        android: 28,
        ao: 29,
        apartments: 30,
        aq: 31,
        aquarelle: 32,
        ar: 33,
        archi: 34,
        army: 35,
        arpa: 36,
        as: 37,
        asia: 38,
        associates: 39,
        at: 40,
        attorney: 41,
        au: 42,
        auction: 43,
        audio: 44,
        auto: 45,
        autos: 46,
        aw: 47,
        ax: 48,
        axa: 49,
        az: 50,
        ba: 51,
        band: 52,
        bank: 53,
        bar: 54,
        barclaycard: 55,
        barclays: 56,
        bargains: 57,
        bauhaus: 58,
        bayern: 59,
        bb: 60,
        bbc: 61,
        bd: 62,
        be: 63,
        beer: 64,
        berlin: 65,
        best: 66,
        bf: 67,
        bg: 68,
        bh: 69,
        bi: 70,
        bid: 71,
        bike: 72,
        bingo: 73,
        bio: 74,
        biz: 75,
        bj: 76,
        black: 77,
        blackfriday: 78,
        bloomberg: 79,
        blue: 80,
        bm: 81,
        bmw: 82,
        bn: 83,
        bnpparibas: 84,
        bo: 85,
        boats: 86,
        bond: 87,
        boo: 88,
        boutique: 89,
        br: 90,
        bridgestone: 91,
        broker: 92,
        brussels: 93,
        bs: 94,
        bt: 95,
        budapest: 96,
        build: 97,
        builders: 98,
        business: 99,
        buzz: 100,
        bv: 101,
        bw: 102,
        by: 103,
        bz: 104,
        bzh: 105,
        ca: 106,
        cab: 107,
        cafe: 108,
        cal: 109,
        camera: 110,
        camp: 111,
        cancerresearch: 112,
        canon: 113,
        capetown: 114,
        capital: 115,
        caravan: 116,
        cards: 117,
        care: 118,
        career: 119,
        careers: 120,
        cars: 121,
        cartier: 122,
        casa: 123,
        cash: 124,
        casino: 125,
        cat: 126,
        catering: 127,
        cbn: 128,
        cc: 129,
        cd: 130,
        center: 131,
        ceo: 132,
        cern: 133,
        cf: 134,
        cfa: 135,
        cfd: 136,
        cg: 137,
        ch: 138,
        channel: 139,
        chat: 140,
        cheap: 141,
        chloe: 142,
        christmas: 143,
        chrome: 144,
        church: 145,
        ci: 146,
        citic: 147,
        city: 148,
        ck: 149,
        cl: 150,
        claims: 151,
        cleaning: 152,
        click: 153,
        clinic: 154,
        clothing: 155,
        club: 156,
        cm: 157,
        cn: 158,
        co: 159,
        coach: 160,
        codes: 161,
        coffee: 162,
        college: 163,
        cologne: 164,
        com: 165,
        community: 166,
        company: 167,
        computer: 168,
        condos: 169,
        construction: 170,
        consulting: 171,
        contractors: 172,
        cooking: 173,
        cool: 174,
        coop: 175,
        country: 176,
        courses: 177,
        cr: 178,
        credit: 179,
        creditcard: 180,
        cricket: 181,
        crs: 182,
        cruises: 183,
        cu: 184,
        cuisinella: 185,
        cv: 186,
        cw: 187,
        cx: 188,
        cy: 189,
        cymru: 190,
        cyou: 191,
        cz: 192,
        dabur: 193,
        dad: 194,
        dance: 195,
        date: 196,
        dating: 197,
        datsun: 198,
        day: 199,
        dclk: 200,
        de: 201,
        deals: 202,
        degree: 203,
        delivery: 204,
        democrat: 205,
        dental: 206,
        dentist: 207,
        desi: 208,
        design: 209,
        dev: 210,
        diamonds: 211,
        diet: 212,
        digital: 213,
        direct: 214,
        directory: 215,
        discount: 216,
        dj: 217,
        dk: 218,
        dm: 219,
        dnp: 220,
        do: 221,
        docs: 222,
        dog: 223,
        doha: 224,
        domains: 225,
        doosan: 226,
        download: 227,
        durban: 228,
        dvag: 229,
        dz: 230,
        eat: 231,
        ec: 232,
        edu: 233,
        education: 234,
        ee: 235,
        eg: 236,
        email: 237,
        emerck: 238,
        energy: 239,
        engineer: 240,
        engineering: 241,
        enterprises: 242,
        epson: 243,
        equipment: 244,
        er: 245,
        erni: 246,
        es: 247,
        esq: 248,
        estate: 249,
        et: 250,
        eu: 251,
        eurovision: 252,
        eus: 253,
        events: 254,
        everbank: 255,
        exchange: 256,
        expert: 257,
        exposed: 258,
        express: 259,
        fail: 260,
        faith: 261,
        fan: 262,
        fans: 263,
        farm: 264,
        fashion: 265,
        feedback: 266,
        fi: 267,
        film: 268,
        finance: 269,
        financial: 270,
        firmdale: 271,
        fish: 272,
        fishing: 273,
        fit: 274,
        fitness: 275,
        fj: 276,
        fk: 277,
        flights: 278,
        florist: 279,
        flowers: 280,
        flsmidth: 281,
        fly: 282,
        fm: 283,
        fo: 284,
        foo: 285,
        football: 286,
        forex: 287,
        forsale: 288,
        foundation: 289,
        fr: 290,
        frl: 291,
        frogans: 292,
        fund: 293,
        furniture: 294,
        futbol: 295,
        ga: 296,
        gal: 297,
        gallery: 298,
        garden: 299,
        gb: 300,
        gbiz: 301,
        gd: 302,
        gdn: 303,
        ge: 304,
        gent: 305,
        gf: 306,
        gg: 307,
        ggee: 308,
        gh: 309,
        gi: 310,
        gift: 311,
        gifts: 312,
        gives: 313,
        gl: 314,
        glass: 315,
        gle: 316,
        global: 317,
        globo: 318,
        gm: 319,
        gmail: 320,
        gmo: 321,
        gmx: 322,
        gn: 323,
        gold: 324,
        goldpoint: 325,
        golf: 326,
        goo: 327,
        goog: 328,
        google: 329,
        gop: 330,
        gov: 331,
        gp: 332,
        gq: 333,
        gr: 334,
        graphics: 335,
        gratis: 336,
        green: 337,
        gripe: 338,
        gs: 339,
        gt: 340,
        gu: 341,
        guge: 342,
        guide: 343,
        guitars: 344,
        guru: 345,
        gw: 346,
        gy: 347,
        hamburg: 348,
        hangout: 349,
        haus: 350,
        healthcare: 351,
        help: 352,
        here: 353,
        hermes: 354,
        hiphop: 355,
        hitachi: 356,
        hiv: 357,
        hk: 358,
        hm: 359,
        hn: 360,
        hockey: 361,
        holdings: 362,
        holiday: 363,
        homes: 364,
        honda: 365,
        horse: 366,
        host: 367,
        hosting: 368,
        house: 369,
        how: 370,
        hr: 371,
        ht: 372,
        hu: 373,
        ibm: 374,
        icu: 375,
        id: 376,
        ie: 377,
        ifm: 378,
        il: 379,
        im: 380,
        immo: 381,
        immobilien: 382,
        in: 383,
        industries: 384,
        infiniti: 385,
        info: 386,
        ing: 387,
        ink: 388,
        institute: 389,
        insure: 390,
        int: 391,
        international: 392,
        investments: 393,
        io: 394,
        iq: 395,
        ir: 396,
        irish: 397,
        is: 398,
        it: 399,
        iwc: 400,
        java: 401,
        jcb: 402,
        je: 403,
        jetzt: 404,
        jewelry: 405,
        jm: 406,
        jo: 407,
        jobs: 408,
        joburg: 409,
        jp: 410,
        juegos: 411,
        kaufen: 412,
        kddi: 413,
        ke: 414,
        kg: 415,
        kh: 416,
        ki: 417,
        kim: 418,
        kitchen: 419,
        kiwi: 420,
        km: 421,
        kn: 422,
        koeln: 423,
        komatsu: 424,
        kp: 425,
        kr: 426,
        krd: 427,
        kred: 428,
        kw: 429,
        ky: 430,
        kyoto: 431,
        kz: 432,
        la: 433,
        lacaixa: 434,
        land: 435,
        lat: 436,
        latrobe: 437,
        lawyer: 438,
        lb: 439,
        lc: 440,
        lds: 441,
        lease: 442,
        leclerc: 443,
        legal: 444,
        lgbt: 445,
        li: 446,
        liaison: 447,
        lidl: 448,
        life: 449,
        lighting: 450,
        limited: 451,
        limo: 452,
        link: 453,
        lk: 454,
        loan: 455,
        loans: 456,
        lol: 457,
        london: 458,
        lotte: 459,
        lotto: 460,
        love: 461,
        lr: 462,
        ls: 463,
        lt: 464,
        ltda: 465,
        lu: 466,
        luxe: 467,
        luxury: 468,
        lv: 469,
        ly: 470,
        ma: 471,
        madrid: 472,
        maif: 473,
        maison: 474,
        management: 475,
        mango: 476,
        market: 477,
        marketing: 478,
        markets: 479,
        marriott: 480,
        mc: 481,
        md: 482,
        me: 483,
        media: 484,
        meet: 485,
        melbourne: 486,
        meme: 487,
        memorial: 488,
        menu: 489,
        mg: 490,
        mh: 491,
        miami: 492,
        mil: 493,
        mini: 494,
        mk: 495,
        ml: 496,
        mm: 497,
        mma: 498,
        mn: 499,
        mo: 500,
        mobi: 501,
        moda: 502,
        moe: 503,
        monash: 504,
        money: 505,
        mormon: 506,
        mortgage: 507,
        moscow: 508,
        motorcycles: 509,
        mov: 510,
        movie: 511,
        mp: 512,
        mq: 513,
        mr: 514,
        ms: 515,
        mt: 516,
        mtn: 517,
        mtpc: 518,
        mu: 519,
        museum: 520,
        mv: 521,
        mw: 522,
        mx: 523,
        my: 524,
        mz: 525,
        na: 526,
        nadex: 527,
        nagoya: 528,
        name: 529,
        navy: 530,
        nc: 531,
        ne: 532,
        net: 533,
        network: 534,
        neustar: 535,
        new: 536,
        news: 537,
        nexus: 538,
        nf: 539,
        ng: 540,
        ngo: 541,
        nhk: 542,
        ni: 543,
        nico: 544,
        ninja: 545,
        nissan: 546,
        nl: 547,
        no: 548,
        np: 549,
        nr: 550,
        nra: 551,
        nrw: 552,
        ntt: 553,
        nu: 554,
        nyc: 555,
        nz: 556,
        okinawa: 557,
        om: 558,
        one: 559,
        ong: 560,
        onl: 561,
        online: 562,
        ooo: 563,
        oracle: 564,
        org: 565,
        organic: 566,
        osaka: 567,
        otsuka: 568,
        ovh: 569,
        pa: 570,
        page: 571,
        panerai: 572,
        paris: 573,
        partners: 574,
        parts: 575,
        party: 576,
        pe: 577,
        pf: 578,
        pg: 579,
        ph: 580,
        pharmacy: 581,
        photo: 582,
        photography: 583,
        photos: 584,
        physio: 585,
        piaget: 586,
        pics: 587,
        pictet: 588,
        pictures: 589,
        pink: 590,
        pizza: 591,
        pk: 592,
        pl: 593,
        place: 594,
        plumbing: 595,
        plus: 596,
        pm: 597,
        pn: 598,
        pohl: 599,
        poker: 600,
        porn: 601,
        post: 602,
        pr: 603,
        praxi: 604,
        press: 605,
        pro: 606,
        prod: 607,
        productions: 608,
        prof: 609,
        properties: 610,
        property: 611,
        ps: 612,
        pt: 613,
        pub: 614,
        pw: 615,
        py: 616,
        qa: 617,
        qpon: 618,
        quebec: 619,
        racing: 620,
        re: 621,
        realtor: 622,
        recipes: 623,
        red: 624,
        redstone: 625,
        rehab: 626,
        reise: 627,
        reisen: 628,
        reit: 629,
        ren: 630,
        rent: 631,
        rentals: 632,
        repair: 633,
        report: 634,
        republican: 635,
        rest: 636,
        restaurant: 637,
        review: 638,
        reviews: 639,
        rich: 640,
        rio: 641,
        rip: 642,
        ro: 643,
        rocks: 644,
        rodeo: 645,
        rs: 646,
        rsvp: 647,
        ru: 648,
        ruhr: 649,
        run: 650,
        rw: 651,
        ryukyu: 652,
        sa: 653,
        saarland: 654,
        sale: 655,
        samsung: 656,
        sap: 657,
        sarl: 658,
        saxo: 659,
        sb: 660,
        sc: 661,
        sca: 662,
        scb: 663,
        schmidt: 664,
        scholarships: 665,
        school: 666,
        schule: 667,
        schwarz: 668,
        science: 669,
        scot: 670,
        sd: 671,
        se: 672,
        seat: 673,
        sener: 674,
        services: 675,
        sew: 676,
        sex: 677,
        sexy: 678,
        sg: 679,
        sh: 680,
        shiksha: 681,
        shoes: 682,
        show: 683,
        shriram: 684,
        si: 685,
        singles: 686,
        site: 687,
        sj: 688,
        sk: 689,
        sky: 690,
        sl: 691,
        sm: 692,
        sn: 693,
        so: 694,
        social: 695,
        software: 696,
        sohu: 697,
        solar: 698,
        solutions: 699,
        sony: 700,
        soy: 701,
        space: 702,
        spiegel: 703,
        spreadbetting: 704,
        sr: 705,
        st: 706,
        study: 707,
        style: 708,
        su: 709,
        sucks: 710,
        supplies: 711,
        supply: 712,
        support: 713,
        surf: 714,
        surgery: 715,
        suzuki: 716,
        sv: 717,
        swiss: 718,
        sx: 719,
        sy: 720,
        sydney: 721,
        systems: 722,
        sz: 723,
        taipei: 724,
        tatar: 725,
        tattoo: 726,
        tax: 727,
        taxi: 728,
        tc: 729,
        td: 730,
        team: 731,
        tech: 732,
        technology: 733,
        tel: 734,
        temasek: 735,
        tennis: 736,
        tf: 737,
        tg: 738,
        th: 739,
        theater: 740,
        tickets: 741,
        tienda: 742,
        tips: 743,
        tires: 744,
        tirol: 745,
        tj: 746,
        tk: 747,
        tl: 748,
        tm: 749,
        tn: 750,
        to: 751,
        today: 752,
        tokyo: 753,
        tools: 754,
        top: 755,
        toray: 756,
        toshiba: 757,
        tours: 758,
        town: 759,
        toys: 760,
        tr: 761,
        trade: 762,
        trading: 763,
        training: 764,
        travel: 765,
        trust: 766,
        tt: 767,
        tui: 768,
        tv: 769,
        tw: 770,
        tz: 771,
        ua: 772,
        ug: 773,
        uk: 774,
        university: 775,
        uno: 776,
        uol: 777,
        us: 778,
        uy: 779,
        uz: 780,
        va: 781,
        vacations: 782,
        vc: 783,
        ve: 784,
        vegas: 785,
        ventures: 786,
        versicherung: 787,
        vet: 788,
        vg: 789,
        vi: 790,
        viajes: 791,
        video: 792,
        villas: 793,
        vision: 794,
        vlaanderen: 795,
        vn: 796,
        vodka: 797,
        vote: 798,
        voting: 799,
        voto: 800,
        voyage: 801,
        vu: 802,
        wales: 803,
        wang: 804,
        watch: 805,
        webcam: 806,
        website: 807,
        wed: 808,
        wedding: 809,
        weir: 810,
        wf: 811,
        whoswho: 812,
        wien: 813,
        wiki: 814,
        williamhill: 815,
        win: 816,
        wme: 817,
        work: 818,
        works: 819,
        world: 820,
        ws: 821,
        wtc: 822,
        wtf: 823,
        xerox: 824,
        xin: 825,
        xxx: 826,
        xyz: 827,
        yachts: 828,
        yandex: 829,
        ye: 830,
        yodobashi: 831,
        yoga: 832,
        yokohama: 833,
        youtube: 834,
        yt: 835,
        za: 836,
        zip: 837,
        zm: 838,
        zone: 839,
        zuerich: 840,
        zw: 841,
      }
    end
  end
end
